/************************************************************************/
/*                                                                      */
/*                      RC5 Remote Receiver                             */
/*                                                                      */
/*              Author: Peter Dannegger                                 */
/*                      danni@specs.de                                  */
/*      an AT90S2313 angepasst                 .1.2013                  */
/************************************************************************/
#include <C:\WinAVR-20100110\avr\include\avr\io.h>
#include <C:\WinAVR-20100110\avr\include\avr\interrupt.h>
//#include <C:\WinAVR-20100110\avr\include\avr\signal.h>
#include <C:\WinAVR-20100110\avr\include\stdlib.h>


#define uchar unsigned char
#define uint unsigned int

//Sensor ist an Pin16, PB4 angeschlossen, dort noch den Pullup aktivieren

#define	xRC5_IN		PINB
#define	xRC5		PB4			// IR input low active, ist PIN 16

//#define	XTAL		11.0592e6
//#define	XTAL		7.3728e6
//#define XTAL		5e6
#define XTAL		4e6			

#define	BAUD	19200
#define bauddivider (uint)(XTAL / BAUD / 16 - 0.5)


extern volatile uint rc5_data;				// store result  
//Achtung!!! mu volatile sein, laut http://www.mikrocontroller.net/topic/95575#new
//mute als Folge dieser nderung noch innerhalb von rc5.c die Zeile "volatile uint	rc5_data;	// store result" ndern



extern volatile char	enc_delta;		// -128 ... 127